<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <SurfaceView
        android:id="@+id/surfaceView"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

    <ToggleButton
        android:id="@+id/tbLiveStatus"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="#FFFF"
        android:padding="10dp"
        android:textOff="直播已停止"
        android:textOn="直播进行中" />

    <LinearLayout
        android:id="@+id/flTestPanel"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:orientation="horizontal">

        <ToggleButton
            android:id="@+id/btnLive"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:textOff="@string/start"
            android:textOn="@string/stop" />

        <ToggleButton
            android:id="@+id/btnChangeCameraState"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:textOff="设置不可直播"
            android:textOn="设置可直播" />

        <ToggleButton
            android:id="@+id/btnSaveFile"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="10dp"
            android:textOff="开始录制"
            android:textOn="停止录制" />

    </LinearLayout>

</RelativeLayout>